# Generated by Django 4.2.4 on 2023-08-25 10:34
import uuid

import django.db.models.deletion
import django.utils.timezone
import parler.fields
import parler.models
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="PayWay",
            fields=[
                (
                    "sort_order",
                    models.IntegerField(
                        db_index=True,
                        editable=False,
                        null=True,
                        verbose_name="Sort Order",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        default=django.utils.timezone.now, verbose_name="Created At"
                    ),
                ),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "uuid",
                    models.UUIDField(default=uuid.uuid4, editable=False, unique=True),
                ),
                ("id", models.BigAutoField(primary_key=True, serialize=False)),
                ("active", models.BooleanField(default=True, verbose_name="Active")),
                (
                    "cost",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=11,
                        verbose_name="Cost",
                    ),
                ),
                (
                    "free_for_order_amount",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=11,
                        verbose_name="Free For Order Amount",
                    ),
                ),
                (
                    "icon",
                    models.ImageField(
                        blank=True,
                        null=True,
                        upload_to="uploads/pay_way/",
                        verbose_name="Icon",
                    ),
                ),
            ],
            options={
                "verbose_name": "Pay Way",
                "verbose_name_plural": "Pay Ways",
                "ordering": ["sort_order"],
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name="PayWayTranslation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "language_code",
                    models.CharField(
                        db_index=True, max_length=15, verbose_name="Language"
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("Credit Card", "CREDIT_CARD"),
                            ("Pay On Delivery", "PAY_ON_DELIVERY"),
                            ("Pay On Store", "PAY_ON_STORE"),
                            ("PayPal", "PAY_PAL"),
                        ],
                        max_length=50,
                        null=True,
                        verbose_name="Name",
                    ),
                ),
                (
                    "master",
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="translations",
                        to="pay_way.payway",
                    ),
                ),
            ],
            options={
                "verbose_name": "Pay Way Translation",
                "db_table": "pay_way_payway_translation",
                "db_tablespace": "",
                "managed": True,
                "default_permissions": (),
                "unique_together": {("language_code", "master")},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
    ]
